Skip to main content
POST
Export a project as OTLP

Authorizations

apsio_session
string
cookie
required

The console session, set by /v1/auth/callback (__Host-apsio_session when host-only).

Path Parameters

orgId
string
required
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"0192f3a4-0000-7000-8000-00000000a001"

projectId
string
required
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"0192f3a4-0000-7000-8000-00000000a001"

Body

application/json
signals
enum<string>[]
required
Required array length: 1 - 3 elements

logs (crashes, hangs and events included), traces (spans) or metrics.

Available options:
logs,
traces,
metrics
from
string<date-time>
required
to
string<date-time>
required

Response

The queued export

id
string
required
project_id
string
required
signals
enum<string>[]
required

logs (crashes, hangs and events included), traces (spans) or metrics.

Available options:
logs,
traces,
metrics
from
string
required

The range start, inclusive.

to
string
required

The range end, exclusive.

status
enum<string>
required
Available options:
queued,
running,
done,
failed
requested_by
string | null
required
created_at
string
required
started_at
string | null
required
finished_at
string | null
required
counts
object
required

Records exported per signal, once done.

error
string | null
required

Why it failed, as a code; null otherwise.

expires_at
string | null
required

When the files are deleted: 7 days after it is done.